Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78834 - partial installs are detected for upgrade
Summary: partial installs are detected for upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-01 21:19 UTC by Pedro Miguel Marques Morais
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:57:32 UTC


Attachments (Terms of Use)

Description Pedro Miguel Marques Morais 2002-12-01 21:19:03 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Abort an install during the package installation process 
2. Start another install 
 
Actual Results:  Anaconda offers to upgrade a system without even knowing 
what version it is. Shows '()' in place of '(Redhat something)' 
 
Expected Results:  Ignore the partial install.

Comment 1 Jeremy Katz 2002-12-16 22:31:11 UTC
Unfortunately, we don't really have any better heuristics to check for what
makes up an installation although I'm open to ideas.  The current heuristic is
the one that's been used on upgrades for a long time.  We have improved the text
on the screen, though, so that it's less problematic

Comment 2 Pedro Miguel Marques Morais 2002-12-16 23:05:23 UTC
Well, is this case the heuristic is simple: 
if we didn't even managed to find out what version of Red Hat 
was installed (as I told you, the screen showed '' as the distro version) 
you can't upgrade it. 
And how about creating a file, something like /root/install-in-progress, 
that only gets deleted if the install really ends? 
I guess this is fixable, and will confuse newbie users if they screw 
an install and try reinstalling ("Neat, I can recover my failed install"). 

Comment 3 Jeremy Katz 2002-12-16 23:49:06 UTC
You could have just done `cat /dev/null > /etc/redhat-release`.  And,
unfortunately, a lot of "security" sites recommend doing just that :(

Comment 4 Jeremy Katz 2003-01-03 06:12:34 UTC
msf made the handling of this a little nicer.

Comment 5 Brent Fox 2003-05-25 14:57:32 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.